Subject: Re[3]: setup-2.243 Crash / Install from Local Directory / WinXP
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Wed, 22 May 2002 14:57:53 +0200

Hello Pavel,

Wednesday, May 22, 2002, 2:34:47 PM, you wrote:

PT> Hello Robert,

PT> Wednesday, May 22, 2002, 2:20:20 PM, you wrote:

RC>> C'mon Max, you *know* I need more detail than that.

RC>> Install from Local works fine here. Even though it's only a snapshot, I
RC>> wasn't aware of any -bugs- in the release.

PT> I can confirm this - here is the output shown from Dr. Mingw JIT:

PT> setup-2.243.exe caused an Access Violation at location 0043a1a5 in module setup-2.243.exe Reading from location 00000000.

PT> Registers:
PT> eax=00000000 ebx=00000000 ecx=015ef944 edx=00000000 esi=004839ac edi=015ef864
PT> eip=0043a1a5 esp=015ef810 ebp=015ef884 iopl=0         nv up ei pl zr na po nc
PT> cs=001b  ss=0023  ds=0023  es=0023  fs=0038  gs=0000             efl=00000246

PT> Call stack:
PT> 0043A1A5  setup-2.243.exe:0043A1A5
PT> 0041897C  setup-2.243.exe:0041897C
PT> 0040E89F  setup-2.243.exe:0040E89F
PT> 00410F03  setup-2.243.exe:00410F03
PT> 00411A3B  setup-2.243.exe:00411A3B
PT> 00411F58  setup-2.243.exe:00411F58
PT> 77E602ED  kernel32.dll:77E602ED  OpenConsoleW

PT> I'll try to debug this at home this night since I cannot access CVS
PT> now. Btw I forced it to crash by doing 'Instal from local directory'
PT> and choose a mirror named directory inside my root package directory.
                                                           |
                                          download package +
PT> It doesn't crash for me if a choose the root package directory I use
                                            the same here
PT> normally.

PT> If someone can send me a debuggable setup.exe I'll debug it ASAP :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/